import { Thumbnail } from "../services/contentService";
export declare function Thumbnails({ images, selectedImage, setSelectedImage, onMediaSelected, onHide, }: {
    images: Thumbnail[];
    selectedImage: Thumbnail | undefined;
    setSelectedImage: (image: Thumbnail) => void;
    onMediaSelected: (imageId: string) => void;
    onHide: () => void;
}): import("react/jsx-runtime").JSX.Element;
